Create Hook
curl --request POST \
--url https://api.xplenty.com/{account_id}/api/hooks \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"name": "<string>",
"settings": {},
"events": [
"<string>"
],
"active": true
}
'import requests
url = "https://api.xplenty.com/{account_id}/api/hooks"
payload = {
"type": "<string>",
"name": "<string>",
"settings": {},
"events": ["<string>"],
"active": True
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: '<string>',
name: '<string>',
settings: {},
events: ['<string>'],
active: true
})
};
fetch('https://api.xplenty.com/{account_id}/api/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"type": "<string>",
"name": "<string>",
"active": true,
"settings": {},
"events": [
"<string>"
],
"salt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}Hooks
Create Hook
Creates a new webhook for event notifications.
POST
/
hooks
Create Hook
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Body
application/json
Last modified on July 14, 2026
Was this page helpful?
⌘I